require( "scripts/common/bad_idle_object.lua" );

dadbasketball = bad_idle_object:new{
	object_name = "dadbasketball",
	
	anchor_x = 29,
	anchor_y = 107,
	
	texture="anim/objects/sagetsdad_basketball/basketball",
	
	idle_state_time = 20000,
	
	stop_idle_goal_name = "stopbasketball",
	
	sound_of_idle = "playing_basketball",
}

function dadbasketball:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end